/**
 * Class representing the Ftimeline timeline.
 *
 * Made with Flow 1.5.1
 */
class FTimeline {
    /**
     * Returns the timeline's duration in milliseconds.
     */
    static get duration() { return 1000 }

    static artboardAnimation() {
        // Workaround for Safari bug
        return document.querySelector('#Ftimeline.flow-artboard').animate({
            backgroundPosition: ['0px', '1px'],
        }, {
            delay: 0,
            duration: 1000,
        });
    }
    static fAnimation0() {
        return document.querySelector('#Ftimeline .f').animate({
            opacity: [1, 0],

        }, {
            delay: 0,
            duration: 250,
            easing: 'ease-in-out',
            composite: 'add',
            fill: 'forwards',
        });
    }
    static fAnimation1() {
        return document.querySelector('#Ftimeline .f').animate({
            opacity: [0, 0],

        }, {
            delay: 250,
            duration: 500,
            easing: 'ease-in-out',
            composite: 'add',
            fill: 'forwards',
        });
    }
    static fAnimation2() {
        return document.querySelector('#Ftimeline .f').animate({
            opacity: [0, 1],

        }, {
            delay: 750,
            duration: 250,
            easing: 'ease-in-out',
            composite: 'add',
            fill: 'forwards',
        });
    }

    /**
     * Creates and returns all animations for this timeline.
     */
    static createAllAnimations() {
        return [
            this.artboardAnimation(),
            this.fAnimation0(),
            this.fAnimation1(),
            this.fAnimation2(),
        ]
    }
}

FTimeline.allShapes = [
    document.querySelector("#Ftimeline .f-svg"),
]

Object.freeze(Ftimeline)