/**
 * Class representing the Ltimeline timeline.
 *
 * Made with Flow 1.5.1
 */
class LTimeline {
    /**
     * Returns the timeline's duration in milliseconds.
     */
    static get duration() { return 1000 }

    static artboardAnimation() {
        // Workaround for Safari bug
        return document.querySelector('#Ltimeline.flow-artboard').animate({
            backgroundPosition: ['0px', '1px'],
        }, {
            delay: 0,
            duration: 1000,
        });
    }
    static lAnimation0() {
        return document.querySelector('#Ltimeline .l').animate({
            opacity: [1, 0],

        }, {
            delay: 0,
            duration: 250,
            easing: 'ease-in-out',
            composite: 'add',
            fill: 'forwards',
        });
    }
    static lAnimation1() {
        return document.querySelector('#Ltimeline .l').animate({
            opacity: [0, 0],

        }, {
            delay: 250,
            duration: 500,
            easing: 'ease-in-out',
            composite: 'add',
            fill: 'forwards',
        });
    }
    static lAnimation2() {
        return document.querySelector('#Ltimeline .l').animate({
            opacity: [0, 1],

        }, {
            delay: 750,
            duration: 250,
            easing: 'ease-in-out',
            composite: 'add',
            fill: 'forwards',
        });
    }

    /**
     * Creates and returns all animations for this timeline.
     */
    static createAllAnimations() {
        return [
            this.artboardAnimation(),
            this.lAnimation0(),
            this.lAnimation1(),
            this.lAnimation2(),
        ]
    }
}

LTimeline.allShapes = [
    document.querySelector("#Ltimeline .l-svg"),
]

Object.freeze(Ltimeline)