/**
 * Class representing the Otimeline timeline.
 *
 * Made with Flow 1.5.1
 */
class OTimeline {
    /**
     * Returns the timeline's duration in milliseconds.
     */
    static get duration() { return 1000 }

    static artboardAnimation() {
        // Workaround for Safari bug
        return document.querySelector('#Otimeline.flow-artboard').animate({
            backgroundPosition: ['0px', '1px'],
        }, {
            delay: 0,
            duration: 1000,
        });
    }
    static oAnimation0() {
        return document.querySelector('#Otimeline .o').animate({
            opacity: [1, 0],

        }, {
            delay: 0,
            duration: 250,
            easing: 'ease-in-out',
            composite: 'add',
            fill: 'forwards',
        });
    }
    static oAnimation1() {
        return document.querySelector('#Otimeline .o').animate({
            opacity: [0, 0],

        }, {
            delay: 250,
            duration: 500,
            easing: 'ease-in-out',
            composite: 'add',
            fill: 'forwards',
        });
    }
    static oAnimation2() {
        return document.querySelector('#Otimeline .o').animate({
            opacity: [0, 1],

        }, {
            delay: 750,
            duration: 250,
            easing: 'ease-in-out',
            composite: 'add',
            fill: 'forwards',
        });
    }

    /**
     * Creates and returns all animations for this timeline.
     */
    static createAllAnimations() {
        return [
            this.artboardAnimation(),
            this.oAnimation0(),
            this.oAnimation1(),
            this.oAnimation2(),
        ]
    }
}

OTimeline.allShapes = [
    document.querySelector("#Otimeline .o-svg"),
]

Object.freeze(Otimeline)