/**
 * Class representing the Wtimeline timeline.
 *
 * Made with Flow 1.5.1
 */
class WTimeline {
    /**
     * Returns the timeline's duration in milliseconds.
     */
    static get duration() { return 1000 }

    static artboardAnimation() {
        // Workaround for Safari bug
        return document.querySelector('#Wtimeline.flow-artboard').animate({
            backgroundPosition: ['0px', '1px'],
        }, {
            delay: 0,
            duration: 1000,
        });
    }
    static wAnimation0() {
        return document.querySelector('#Wtimeline .w').animate({
            opacity: [1, 0],

        }, {
            delay: 0,
            duration: 250,
            easing: 'ease-in-out',
            composite: 'add',
            fill: 'forwards',
        });
    }
    static wAnimation1() {
        return document.querySelector('#Wtimeline .w').animate({
            opacity: [0, 0],

        }, {
            delay: 250,
            duration: 500,
            easing: 'ease-in-out',
            composite: 'add',
            fill: 'forwards',
        });
    }
    static wAnimation2() {
        return document.querySelector('#Wtimeline .w').animate({
            opacity: [0, 1],

        }, {
            delay: 750,
            duration: 250,
            easing: 'ease-in-out',
            composite: 'add',
            fill: 'forwards',
        });
    }

    /**
     * Creates and returns all animations for this timeline.
     */
    static createAllAnimations() {
        return [
            this.artboardAnimation(),
            this.wAnimation0(),
            this.wAnimation1(),
            this.wAnimation2(),
        ]
    }
}

WTimeline.allShapes = [
    document.querySelector("#Wtimeline .w_blue-svg"),
    document.querySelector("#Wtimeline .w_red-svg"),
    document.querySelector("#Wtimeline .w_pink-svg"),
]

Object.freeze(Wtimeline)